Subject: Cordyceps

From: [email-masked] (MARK PLOTKIN)
Date: 4 Apr 1995 04:20:22 GMT

All,
I'm a newcomer to this newsgroup looking for popular articles on life 
history and medicinal applications of Cordyceps suitable for high school 
and college level audiences. Any suggestionswould be most appreciated.

F. Bonifay